Browse Source

Updating perlcriticrc to allow Modern::Perl to suffice instead of use warnings; and use strict;

http://bugs.koha-community.org/show_bug.cgi?id=6836

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
3.8.x
Chris Cormack 11 years ago
committed by Paul Poulain
parent
commit
c77b8756f7
  1. 8
      t/perlcriticrc

8
t/perlcriticrc

@ -2,4 +2,10 @@ exclude = Miscellanea::RequireRcsKeywords
[Perl::Critic::Policy::BuiltinFunctions::ProhibitStringyEval]
allow_includes =1
allow_includes =1
[TestingAndDebugging::RequireUseStrict]
equivalent_modules = Modern::Perl
[TestingAndDebugging::RequireUseWarnings]
equivalent_modules = Modern::Perl
Loading…
Cancel
Save